# PokemonHeldItemModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PokemonHeldItemModifier`Abstract`

#### Hierarchy (View Summary)

- PersistentModifier
  - PokemonHeldItemModifier
    - LapsingPokemonHeldItemModifier
    - BaseStatModifier
    - EvoTrackerModifier
    - PokemonBaseStatTotalModifier
    - PokemonBaseStatFlatModifier
    - PokemonIncrementingStatModifier
    - StatBoosterModifier
    - CritBoosterModifier
    - AttackTypeBoosterModifier
    - SurviveDamageModifier
    - BypassSpeedChanceModifier
    - FlinchChanceModifier
    - TurnHealModifier
    - TurnStatusEffectModifier
    - HitHealModifier
    - BerryModifier
    - PokemonInstantReviveModifier
    - ResetNegativeStatStageModifier
    - FieldEffectModifier
    - PokemonExpBoosterModifier
    - PokemonFriendshipBoosterModifier
    - PokemonNatureWeightModifier
    - PokemonMoveAccuracyBoosterModifier
    - PokemonMultiHitModifier
    - PokemonFormChangeItemModifier
    - DamageMoneyRewardModifier
    - SwitchEffectTransferModifier
    - HeldItemTransferModifier

- Defined in src/modifier/modifier.ts:655

##### Index

### Constructors

constructor

### Properties

isTransferable
pokemonId
stackCount
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getIcon
getIconStackText
getMaxHeldItemCount
getMaxStackCount
getPokemon
getScoreMultiplier
getStackCount
incrementStack
isIconVisible
match
matchType
shouldApply

## Constructors

### constructor

- new PokemonHeldItemModifier(
  type: ModifierType ,
  pokemonId: number,
  stackCount?: number,
  ): PokemonHeldItemModifier

  #### Parameters

  - type: ModifierType
  - pokemonId: number
  - `Optional` stackCount: number

  #### Returns PokemonHeldItemModifier

  Overrides PersistentModifier.constructor

  - Defined in src/modifier/modifier.ts:659

## Properties

### isTransferable

isTransferable: boolean = true

- Defined in src/modifier/modifier.ts:657

### pokemonId

pokemonId: number

- Defined in src/modifier/modifier.ts:656

### stackCount

stackCount: number

Inherited from PersistentModifier.stackCount

- Defined in src/modifier/modifier.ts:186

### type

type: ModifierType

Inherited from PersistentModifier.type

- Defined in src/modifier/modifier.ts:159

### virtualStackCount

virtualStackCount: number

Inherited from PersistentModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:187

## Methods

### add

- add(modifiers: PersistentModifier [], virtual: boolean): boolean

  #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean

  #### Returns boolean

  Inherited from PersistentModifier.add

  - Defined in src/modifier/modifier.ts:195

### `Abstract` apply

- apply(pokemon: default , ...args: unknown[]): boolean

  Applies the PokemonHeldItemModifier to the given `Pokemon`.

  #### Parameters

  - pokemon: default

    The `Pokemon` that holds the held item

  - ...args: unknown[]

    additional parameters

  #### Returns boolean

  Overrides PersistentModifier.apply

  - Defined in src/modifier/modifier.ts:680

### `Abstract` clone

- clone(): PersistentModifier

  #### Returns PersistentModifier

  Inherited from PersistentModifier.clone

  - Defined in src/modifier/modifier.ts:210

### getArgs

- getArgs(): any[]

  #### Returns any[]

  Overrides PersistentModifier.getArgs

  - Defined in src/modifier/modifier.ts:671

### getIcon

- getIcon(forSummary?: boolean): Container

  #### Parameters

  - `Optional` forSummary: boolean

  #### Returns Container

  Overrides PersistentModifier.getIcon

  - Defined in src/modifier/modifier.ts:696

### getIconStackText

- getIconStackText(virtual?: boolean): null | BitmapText

  #### Parameters

  - `Optional` virtual: boolean

  #### Returns null | BitmapText

  Inherited from PersistentModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:260

### `Abstract` getMaxHeldItemCount

- getMaxHeldItemCount(pokemon?: default ): number

  #### Parameters

  - `Optional` pokemon: default

  #### Returns number

  - Defined in src/modifier/modifier.ts:751

### getMaxStackCount

- getMaxStackCount(forThreshold?: boolean): number

  #### Parameters

  - `Optional` forThreshold: boolean

  #### Returns number

  Overrides PersistentModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:737

### getPokemon

- getPokemon(): undefined | default

  #### Returns undefined | default

  - Defined in src/modifier/modifier.ts:729

### getScoreMultiplier

- getScoreMultiplier(): number

  #### Returns number

  - Defined in src/modifier/modifier.ts:733

### getStackCount

- getStackCount(): number

  #### Returns number

  Inherited from PersistentModifier.getStackCount

  - Defined in src/modifier/modifier.ts:229

### incrementStack

- incrementStack(amount: number, virtual: boolean): boolean

  #### Parameters

  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from PersistentModifier.incrementStack

  - Defined in src/modifier/modifier.ts:216

### isIconVisible

- isIconVisible(): boolean

  #### Returns boolean

  Overrides PersistentModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:692

### match

- match(modifier: Modifier ): boolean

  #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Overrides PersistentModifier.match

  - Defined in src/modifier/modifier.ts:667

### `Abstract` matchType

- matchType(_modifier: Modifier ): boolean

  #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  - Defined in src/modifier/modifier.ts:665

### shouldApply

- shouldApply(pokemon?: default , ..._args: unknown[]): boolean

  Checks if PokemonHeldItemModifier should be applied.

  #### Parameters

  - `Optional` pokemon: default

    The `Pokemon` that holds the item

  - ..._args: unknown[]

    N/A

  #### Returns boolean

  if PokemonHeldItemModifier should be applied

  Overrides PersistentModifier.shouldApply

  - Defined in src/modifier/modifier.ts:688